Execute the EditFormPreloadText hook in VE-MW on empty page load
Closed, ResolvedPublic1 Story Points

Description

This hook lets MediaWiki extensions provide a default content for pages on creation.

It's used by ProofreadPage in order to allow people to start proofreading the scan text layer.

It is different from the support of the GET preload parameter, tracked by T51622.

Tpt created this task.Jun 24 2016, 12:52 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 24 2016, 12:52 PM
Tpt moved this task from Backlog to Top priority on the ProofreadPage board.Jun 24 2016, 12:55 PM
Tpt moved this task from Top priority to In progress on the ProofreadPage board.

Change 295906 had a related patch set uploaded (by Jforrester):
Execute the EditFormPreloadText hook on load for empty pages

https://gerrit.wikimedia.org/r/295906

Jdforrester-WMF renamed this task from Adds support of EditFormPreloadText hooks to Execute the EditFormPreloadText hook in VE-MW on empty page load.Jun 24 2016, 1:59 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF assigned this task to Tpt.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Elitre added a subscriber: Elitre.Jun 28 2016, 10:19 AM

Change 295906 merged by jenkins-bot:
Execute the EditFormPreloadText hook on load for non-existent pages

https://gerrit.wikimedia.org/r/295906

Jdforrester-WMF closed this task as Resolved.Jun 29 2016, 10:21 AM
Jdforrester-WMF removed a project: Patch-For-Review.